Return a resource server
GET/v2/modules/:module/setups/:setupId/resource-servers/:resourceId
Retrieves the full configuration of the currently active snapshot of the specified resource server, including its name, identifier, and all declared scopes.
Request
Path Parameters
module stringrequired
setupId stringrequired
resourceId stringrequired
Responses
- 200
- 404
Resource server found
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
length int32
location uri
language object
language string
displayName string
country string
variant string
script string
unicodeLocaleAttributes string[]
unicodeLocaleKeys string[]
displayLanguage string
displayScript string
displayCountry string
displayVariant string
extensionKeys string[]
iso3Language string
iso3Country string
date date-time
lastModified date-time
entity object
statusInfo object
family string
Possible values: [INFORMATIONAL, SUCCESSFUL, REDIRECTION, CLIENT_ERROR, SERVER_ERROR, OTHER]
statusCode int32
reasonPhrase string
allowedMethods string[]
entityTag object
value string
weak boolean
stringHeaders object
empty boolean
property name* string[]
string
cookies object
property name* NewCookie
name string
value string
version int32
path string
domain string
comment string
maxAge int32
expiry date-time
secure boolean
httpOnly boolean
sameSite string
Possible values: [NONE, LAX, STRICT]
links object[]
type string
uriBuilder object
rel string
rels string[]
params object
property name* string
title string
uri uri
mediaType MediaType
type string
subtype string
parameters object
property name* string
qualityValue double
charset object
registered boolean
concrete boolean
subtypeSuffix string
wildcardType boolean
wildcardSubtype boolean
status int32
closed boolean
metadata object
empty boolean
property name* object[]
object
headers object
empty boolean
property name* object[]
object
{
"length": 0,
"location": "string",
"language": {
"language": "string",
"displayName": "string",
"country": "string",
"variant": "string",
"script": "string",
"unicodeLocaleAttributes": [
"string"
],
"unicodeLocaleKeys": [
"string"
],
"displayLanguage": "string",
"displayScript": "string",
"displayCountry": "string",
"displayVariant": "string",
"extensionKeys": [
"string"
],
"iso3Language": "string",
"iso3Country": "string"
},
"date": "2024-07-29T15:51:28.071Z",
"lastModified": "2024-07-29T15:51:28.071Z",
"entity": {},
"statusInfo": {
"family": "INFORMATIONAL",
"statusCode": 0,
"reasonPhrase": "string"
},
"allowedMethods": [
"string"
],
"entityTag": {
"value": "string",
"weak": true
},
"stringHeaders": {
"empty": true
},
"cookies": {},
"links": [
{
"type": "string",
"uriBuilder": {},
"rel": "string",
"rels": [
"string"
],
"params": {},
"title": "string",
"uri": "string"
}
],
"mediaType": {
"type": "string",
"subtype": "string",
"parameters": {},
"qualityValue": 0,
"charset": {
"registered": true
},
"concrete": true,
"subtypeSuffix": "string",
"wildcardType": true,
"wildcardSubtype": true
},
"status": 0,
"closed": true,
"metadata": {
"empty": true
},
"headers": {
"empty": true
}
}
No resource server found
Loading...